# Tomcat
server:
  port: 18083

# Spring
spring:
  servlet:
    multipart:
      max-file-size: -1
      max-request-size: -1
  application:
    # 应用名称
    name: securityControl-files
  profiles:
    # 环境配置
    active: dev
  cloud:
    nacos:
      discovery:
        server-addr: 127.0.0.1:8848
        namespace: jjzhgd
        username: nacos
        password: Jjsp@nacos2023
      config:
        server-addr: 127.0.0.1:8848
        namespace: jjzhgd
        username: nacos
        password: Jjsp@nacos2023
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - vsc-dev.yml
#  data:
#    mongodb:
#      host: 192.168.0.56
#      port: 27017
#      database: zhgd
#      username: zhgd
#      password: Bonus@admin123
  data:
    mongodb:
      host: 47.115.207.135
      port: 27017
      database: admin
      username: admin
      password: Bonus@admin123!

#加密组件
jasypt:
  encryptor:
    bean: codeSheepEncryptorBean3
    property:
      prefix: CodeSheep(
      suffix: )
